> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get public borrow history

GET https://www.okx.com/api/v5/finance/savings/lending-rate-history

Retrieve the public borrowing/lending interest-rate history for savings currencies. Only data from the last 2 years is available. This is a public endpoint that does not require authentication.

Reference: https://okx-demo.ferndocs.com/api/api-reference/savings/get-public-borrow-history

## Request

### Query parameters

- `ccy` (string, optional) — Currency, e.g. BTC.
- `after` (string, optional) — Pagination of data to return records earlier than the requested ts, Unix timestamp in milliseconds.
- `before` (string, optional) — Pagination of data to return records newer than the requested ts, Unix timestamp in milliseconds.
- `limit` (string, optional) — Number of results per request. Maximum 100, default 100.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5FinanceSavingsLendingRateHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5FinanceSavingsLendingRateHistoryGetResponsesContentApplicationJsonSchemaDataItems

- `ccy` (string, optional) — Currency, e.g. BTC.
- `amt` (string, optional) — Lending amount (deprecated).
- `rate` (string, optional) — Annual borrowing interest rate.
- `lendingRate` (string, optional) — Annual lending interest rate.
- `ts` (string, optional) — Time, Unix timestamp in milliseconds.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "ccy": "BTC",
      "amt": "0.01",
      "rate": "0.001",
      "lendingRate": "0.001",
      "ts": "1597026383085"
    }
  ]
}
```

**SDK Code**

```python savings_getPublicBorrowHistory_example
import requests

url = "https://www.okx.com/api/v5/finance/savings/lending-rate-history"

response = requests.get(url)

print(response.json())
```

```javascript savings_getPublicBorrowHistory_example
const url = 'https://www.okx.com/api/v5/finance/savings/lending-rate-history';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go savings_getPublicBorrowHistory_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/finance/savings/lending-rate-history"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby savings_getPublicBorrowHistory_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/finance/savings/lending-rate-history")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java savings_getPublicBorrowHistory_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/finance/savings/lending-rate-history")
  .asString();
```

```php savings_getPublicBorrowHistory_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/finance/savings/lending-rate-history');

echo $response->getBody();
```

```csharp savings_getPublicBorrowHistory_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/finance/savings/lending-rate-history");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift savings_getPublicBorrowHistory_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/finance/savings/lending-rate-history")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```